# Uses of Class
it.tdlight.jni.TdApi.MessageInteractionInfo

## Uses of TdApi.MessageInteractionInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageInteractionInfo
Modifier and Type
Field
Description
`TdApi.MessageInteractionInfo`
TdApi.Message.`interactionInfo`
Information about interactions with the message; may be null.
`TdApi.MessageInteractionInfo`
TdApi.UpdateMessageInteractionInfo.`interactionInfo`
New information about interactions with the message; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageInteractionInfo
Modifier
Constructor
Description
``
`Message(long id, TdApi.MessageSender sender, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean canBeEdited, boolean canBeForwarded, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean hasTimestampedMedia, boolean isChannelPost, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageInteractionInfo interactionInfo, long replyInChatId, long replyToMessageId, long messageThreadId, int ttl, double ttlExpiresIn, long viaBotUserId, String authorSignature, long mediaAlbumId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message.
``
`UpdateMessageInteractionInfo(long chatId, long messageId, TdApi.MessageInteractionInfo interactionInfo)`
The information about interactions with a message has changed.